## gtk+3.0 3.24.37

=== debian/changelog ===
gtk+3.0 (3.24.37-1ubuntu1) lunar; urgency=medium

  * Resynchronize with Debian, remaining changes:
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols for ubuntu_gtk_custom_menu_items.patch
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2023 09:33:44 -0500

gtk+3.0 (3.24.37-1) experimental; urgency=medium

  * New upstream release
    - Add support for xdg-desktop-portal file transfer API, allowing
      copy/paste and drag-and-drop of files where one of the apps involved
      is sandboxed by Flatpak, Snap or similar (GNOME/gtk!5554)
    - Fix a regression for startup notifications (GNOME/gtk!5581)
    - Fix potential invalid pointer dereference when checking whether a
      list store iterator is valid
    - Simple input method: Silence a warning from newer GLib by correctly
      returning a value from a task
    - Search engine: Reduce severity of the warning when Tracker
      initialization failed, avoiding crashes when run with
      G_DEBUG=fatal-criticals and without Tracker (GNOME/gtk!5490)
    - Wayland backend: Drop support for an obsolete text input protocol,
      which was only used by GNOME versions prior to Debian 10
    - Broadway backend: Implement modal dialogs, preventing issues
      with focus loss in complex UIs (GNOME/gtk!3990)
    - Tests: Stop using GTestDBus, avoiding test timeouts if a dependency
      leaks a bus connection
    - Windows and macOS fixes not directly relevant to Debian
  * d/patches: Drop patches that were applied upstream
  * d/p/gdk-wayland-save-custom-xdg-activation-startup_id.patch,
    d/p/window-focus-on-window-show-for-wayland-activation.patch:
    Drop temporary fixes for GNOME/gtk#5386 (see 3.24.36-2, 3.24.35-3
    changelogs). These were rejected upstream, and the change from
    GNOME/gtk!5581 included in 3.24.37 should fix the issue more
    correctly.
  * Upload to experimental for further testing

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Mar 2023 20:27:28 +0000

gtk+3.0 (3.24.36-4ubuntu1) lunar; urgency=medium

  * Resynchronize with Debian, remaining changes:
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols for ubuntu_gtk_custom_menu_items.patch
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch

 -- Amin Bandali <bandali@canonical.com>  Thu, 16 Feb 2023 09:39:37 -0500

gtk+3.0 (3.24.36-4) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix outdated screen state on screenshots.
    (Closes: #1031112)

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Feb 2023 12:45:23 +0300

gtk+3.0 (3.24.36-3) unstable; urgency=medium

  * d/patches: Update to gtk-3-24 branch commit 3.24.36-33-g5554113c74,
    excluding Windows- and macOS-specific changes, and a workaround for
    a libhandy bug which was applied and then reverted.
    - Fix logic for when to build GObject-Introspection
    - Treat XKB_MOD_NAME_LOGO as Super key in Wayland (GNOME/gtk#4913)
    - Fix animations and transitions randomly stopping (GNOME/gtk#4426)
    - Take UI scale into account when loading "image-missing" icon
    - Improve tracking of app status during activation in an attempt to
      solve GNOME/gtk#5386 in an upstreamable way
    - Fix a touchscreen handling bug that can cause applications to become
      unresponsive (GNOME/gtk#4947)
    - Fix GL rendering issues in Totem after the Mesa AMD driver enabled
      threaded rendering (GNOME/gtk#5517)
    - Translation updates: ab, lt, tr
  * Standards-Version: 4.6.2 (no changes required)
  * Clean up unused Lintian overrides
  * Add overrides for lintian/lintian!452

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Feb 2023 17:31:57 +0000

gtk+3.0 (3.24.36-2ubuntu1) lunar; urgency=medium

  * Resynchronize with Debian, remaining changes:
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols for ubuntu_gtk_custom_menu_items.patch
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch

