=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: gtk+3.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme-full <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
+               dh-sequence-translations,
                docbook-xml <!nodoc>,
                docbook-xsl <!nodoc>,
                fonts-cantarell <!nocheck>,
@@ -23,6 +25,7 @@
                libegl1-mesa-dev [linux-any],
                libepoxy-dev (>= 1.4),
                libfontconfig-dev,
+               libfreetype-dev (>= 2.7.1),
                libfribidi-dev (>= 0.19.7),
                libgdk-pixbuf-2.0-dev (>= 2.40.0),
                libgirepository1.0-dev (>= 1.39.0),
@@ -44,7 +47,7 @@
                libxkbfile-dev,
                libxml2-utils,
                libxrandr-dev (>= 2:1.5.0),
-               meson (>= 0.48.0),
+               meson (>= 0.60.0),
                ninja-build,
                pkg-config,
                sassc,
@@ -58,9 +61,11 @@
                      libglib2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
+Standards-Version: 4.6.2
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/master
 Homepage: https://www.gtk.org/
 
 Package: libgtk-3-0
