=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 # files larger than 4k in size will be compressed by dh_compress
 # so append a .gz suffix to avoid dangling symlinks
 NEWS := NEWS$(shell find -maxdepth 1 -size +4k -name NEWS -exec echo ".gz" \;)
-README := README$(shell find -maxdepth 1 -size +4k -name README -exec echo ".gz" \;)
+README := README.md$(shell find -maxdepth 1 -size +4k -name README.md -exec echo ".gz" \;)
 
 # Avoid test failures on buildd environments
 export HOME=$(CURDIR)/debian/build
@@ -131,10 +131,12 @@
 	$(NULL)
 
 %:
-	dh $@ --buildsystem=meson
-
-fuzzy_reftests = \
-	$(NULL)
+	dh $@
+
+fuzzy_reftests =
+
+# https://gitlab.gnome.org/GNOME/gtk/-/issues/5545
+fuzzy_reftests += label-background
 
 # Debian-specific
 ignore_reftests += \
@@ -161,26 +163,10 @@
 	# The build system does not automatically update the GResource files
 	# when resources change. Force an update in case we ship a patch which
 	# modifies the theme CSS files.
-	rm -f gtk/gtkresources.c gtk/gtkresources.h
 	rm -f gtk/theme/Adwaita/gtk-contained.css
 	rm -f gtk/theme/Adwaita/gtk-contained-dark.css
 	rm -f gtk/theme/HighContrast/gtk-contained.css
 	rm -f gtk/theme/HighContrast/gtk-contained-inverse.css
-	# We just don't want to have to review these...
-	rm -f demos/gtk-demo/demo_resources.[ch]
-	rm -f demos/icon-browser/resources.[ch]
-	rm -f demos/widget-factory/widget_factory_resources.[ch]
-	rm -f docs/reference/gtk/getting_started.xml
-	rm -f examples/application*/resources.[ch]
-	rm -f gdk/gdkenumtypes.[ch]
-	rm -f gdk/gdkmarshalers.[ch]
-	rm -f gdk/gdkresources.[ch]
-	rm -f gtk/gtkmarshalers.[ch]
-	rm -f gtk/gtkprivatetypebuiltins.[ch]
-	rm -f gtk/gtkresources.[ch]
-	rm -f gtk/gtktypebuiltins.[ch]
-	rm -f testsuite/css/style/resources.[ch]
-	rm -f testsuite/gtk/gtkresources.[ch]
 	dh_clean
 
 # Add dependencies to generate files from the debian/*.in ones
@@ -194,9 +180,6 @@
 		output=gtk/emoji/$$lang.data; \
 		debian/convert-emoji $$input $$output; \
 	done
-
-override_dh_autoreconf:
-	: # Do nothing, we're using Meson
 
 override_dh_auto_configure: debian/control
 	dh_auto_configure \
@@ -227,6 +210,19 @@
 # where rust has been ported to, disable the tests on the other ones
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# Mark reftests with known failures as non-fatal
+	# (See also somehow_broken in testsuite/reftests/meson.build)
+	touch testsuite/reftests/box-shadow-changes-modify-clip.ui.known_fail
+	touch testsuite/reftests/button-wrapping.ui.known_fail
+	touch testsuite/reftests/cellrenderer-pixbuf-stock-rtl.ui.known_fail
+	touch testsuite/reftests/flipping-icons.ui.known_fail
+	touch testsuite/reftests/label-sizing.ui.known_fail
+	touch testsuite/reftests/label-text-shadow-changes-modify-clip.ui.known_fail
+	touch testsuite/reftests/label-wrap-justify.ui.known_fail
+	touch testsuite/reftests/quit-mnemonic.ui.known_fail
+	touch testsuite/reftests/symbolic-icon-translucent-color.ui.known_fail
+	touch testsuite/reftests/text-shadow-changes-modify-clip.ui.known_fail
+	touch testsuite/reftests/window-height-for-width.ui.known_fail
 	# So that gsettings can find the (uninstalled) gtk schemas
 	mkdir -p debian/build/glib-2.0/schemas/
 	cp gtk/org.gtk.* debian/build/glib-2.0/schemas/
@@ -248,8 +244,4 @@
 endif
 
 override_dh_install:
-	dh_install -p$(UDEB_PKG) --sourcedir=debian/install/udeb
-	dh_install --remaining-packages --sourcedir=debian/install/deb
-
-# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
-# quite right for installed-tests
+	# Install custom settings
