=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme-full <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus-daemon <!nocheck>,
@@ -20,6 +20,7 @@
                libatk-bridge2.0-dev (>= 2.15.1),
                libatk1.0-dev (>= 2.35.1),
                libcairo2-dev (>= 1.14.0),
+               libcloudproviders-dev (>= 0.3.2),
                libcolord-dev (>= 0.1.9),
                libcups2-dev (>= 1.7),
                libegl1-mesa-dev [linux-any],
@@ -174,6 +175,7 @@
          wayland-protocols (>= 1.17) [linux-any],
          ${misc:Depends},
          ${shlibs:Depends},
+         ${cloudProvider:Depends},
          libgtk-3-common (>= ${source:Version}),
          libgtk-3-0 (= ${binary:Version})
 Suggests: libgtk-3-doc
