=== debian/rules ===
--- 
+++ 
@@ -118,6 +118,13 @@
 configure_flags_deb += -Dgtk_doc=false
 else
 configure_flags_deb += -Dgtk_doc=true
+endif
+
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes), yes)
+# Not in main repository
+configure_flags_deb += -Dcloudproviders=false
+else
+configure_flags_deb += -Dcloudproviders=true
 endif
 
 configure_flags_udeb = \
@@ -239,9 +246,3 @@
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=debian/build/deb --destdir=debian/install/deb
-ifneq ($(filter %-udeb,$(built_binaries)),)
-	dh_auto_install --builddirectory=debian/build/udeb --destdir=debian/install/udeb
-endif
-
-override_dh_install:
-	# Install custom settings
